Bug 1572582 - gnome-shell crashes on startup when using wayland
Summary: gnome-shell crashes on startup when using wayland
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 11:09 UTC by Tom Hughes
Modified: 2019-05-28 19:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:58:02 UTC
Type: Bug


Attachments (Terms of Use)
gnome-shell log (39.31 KB, text/plain)
2018-04-27 11:09 UTC, Tom Hughes
no flags Details

Description Tom Hughes 2018-04-27 11:09:55 UTC
Created attachment 1427630 [details]
gnome-shell log

Description of problem:

I'm not at all sure that gnome-shell is the correct component for this - the fault may be in gdm for deciding to use wayland instead of X on this machine so please feel free to move this if necessary.

The machine where I encountered this has always fallen back to X rather than using wayland, I think because two of three monitors are rotated. In F28 it seems that it now thinks wayland is OK though, and it tries to use it.

It doesn't work though - the fonts in the login dialogue are corrupt and, more importantly, gnome-shell crashes with an assertion in cogl are apparently failing to allocate some textures.

A full log of the gnome-shell session from the journal is attached.

Version-Release number of selected component (if applicable):

gnome-shell-3.28.1-2.fc28.x86_64

How reproducible:

Every time.

Steps to Reproduce:
1. Try to login.
2. The shell crashes.

Comment 1 Ben Cotton 2019-05-02 21:53:49 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-28 19:58:02 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.